Main Page Class Hierarchy Data Structures File List Data Fields Globals

# CPVCmnCmdResp Class Reference

`#include <pv_common_types.h>`

Inheritance diagram for CPVCmnCmdResp:

## Public Methods
| CPVCmnCmdResp (TPVCmnCommandType aType, TPVCmnCommandId aId, void *aContext, TPVCmnCommandStatus aStatus, void *aResponseData=NULL, int aResponseDataSize=0, TPVCmnResponseType aResponseType=NULL)
TPVCmnCommandType | GetCmdType () const
TPVCmnCommandId | GetCmdId () const
void * | GetContext () const
TPVCmnCommandStatus | GetCmdStatus () const
void * | GetResponseData () const
int | GetResponseDataSize () const
## Protected Attributes
TPVCmnCommandType | iCmdType
TPVCmnCommandId | iCmdId
void * | iContext
TPVCmnCommandStatus | iStatus
void * | iResponseData
int | iResponseDataSize

## Constructor & Destructor Documentation

CPVCmnCmdResp::CPVCmnCmdResp | ( | TPVCmnCommandType | aType,
|  | TPVCmnCommandId | aId,
|  | void * | aContext,
|  | TPVCmnCommandStatus | aStatus,
|  | void * | aResponseData = NULL,
|  | int | aResponseDataSize = 0,
|  | TPVCmnResponseType | aResponseType = NULL
| ) | `[inline]`

| Constructor for CPVCmnCmdResp

## Member Function Documentation

TPVCmnCommandId CPVCmnCmdResp::GetCmdId | ( |  | ) | const`[inline]`

| Returns: Returns the unique ID associated with a command of this type.

TPVCmnCommandStatus CPVCmnCmdResp::GetCmdStatus | ( |  | ) | const`[inline]`

| Returns: Returns the completion status of the command

TPVCmnCommandType CPVCmnCmdResp::GetCmdType | ( |  | ) | const`[inline]`

| Returns: Returns the command type that is being completed.

void* CPVCmnCmdResp::GetContext | ( |  | ) | const`[inline]`

| Returns: Returns the opaque data that was passed in with the command.

void* CPVCmnCmdResp::GetResponseData | ( |  | ) | const`[inline]`

| Returns: Returns additional data asociated with the command. This is to be interpreted based on the command type and the return status

int CPVCmnCmdResp::GetResponseDataSize | ( |  | ) | const`[inline]`

## Field Documentation

TPVCmnCommandId CPVCmnCmdResp::iCmdId`[protected]`

TPVCmnCommandType CPVCmnCmdResp::iCmdType`[protected]`

void* CPVCmnCmdResp::iContext`[protected]`

void* CPVCmnCmdResp::iResponseData`[protected]`

int CPVCmnCmdResp::iResponseDataSize`[protected]`

TPVCmnCommandStatus CPVCmnCmdResp::iStatus`[protected]`

The documentation for this class was generated from the following file:

- pv_common_types.h